/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/
#include "lib/my_string.h"

char *my_strcpy(char *dest, char const *src)
{
    size_t i;

    i = -1;
    while (src[++i] != '\0')
        dest[i] = src[i];
    dest[i] = '\0';
    return (dest);
}

char *my_strncpy(char *dest, char const *src, size_t n)
{
    size_t i;

    i = 0;
    while (i < n && src[i] != '\0')
        dest[i] = src[i++];
    return (dest);
}
